<html>
<head>
<title>Openstack versions info</title>
<script type="text/javascript" charset="utf8" src="https://code.jquery.com/jquery-3.5.1.js"></script>
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.21/css/jquery.dataTables.css">
<script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.21/js/jquery.dataTables.js"></script>
<style>
.MISSING.sorting_1 {background-color: #F1948A !important; font-weight: bold;}
.OUTDATED.sorting_1 {background-color: #F0B27A !important; font-weight: bold;}
.OK.sorting_1 {background-color: #7DCEA0 !important; font-weight: bold;}
.NONE.sorting_1 {background-color: #B2BABB !important; font-weight: bold;}
.MISSING {background-color: #F1948A !important; font-weight: bold;}
.OUTDATED {background-color: #F0B27A !important; font-weight: bold;}
.OK {background-color: #7DCEA0 !important; font-weight: bold;}
.NONE {background-color: #B2BABB !important; font-weight: bold;}
.invisible tr {
  border: none !important;
  border-size: 0;
}
.btn_release {
  padding: 5px 15px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 15px;
  cursor: pointer;
  font-weight: bold;
}
.btn_release_clicked {
  padding: 5px 15px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 15px;
  cursor: pointer;
  font-weight: bold;
  background: #B2BABB;
}
.tab1 {
  tab-size: 2;
}
.tab2 {
  tab-size: 4;
}
.tab3 {
  tab-size: 8;
}
</style>
<script>
$(document).ready( function () {
{%- for release in data %}
  {%- set comparisons = data[release] %}
  {%- for comparison in comparisons %}
  $('#table-{{- release }}-{{- comparison | replace(":", "-") | replace(" ", "") }}').DataTable();
  {%- endfor %}
{%- endfor %}
} );
</script>
<script>
window.onload = function(){
{%- for release in data %}
  document.getElementById("button-{{ release }}").onclick = function () {
    displayTable('{{release}}','{{ data[release] | first | replace(":", "-") | replace(" ", "") }}')
  }
{%- endfor %}
  document.getElementById("button-{{ data | first }}").className = 'btn_release_clicked';
  document.getElementById("div-{{ data | first }}-{{ data[data | first] | first | replace(":", "-") | replace(" ", "") }}").style.display = "block";
}
</script>
<script>
function displayTable(release,comparison){
  var tableToDisplay = document.getElementById("div-".concat(release,"-",comparison));
  var buttonToClicked = document.getElementById("button-".concat(release));
  var tables = document.getElementsByName("div-table");
  var buttons = document.getElementsByName("button-release");
  tables.forEach(element => element.style.display = "none");
  buttons.forEach(element => element.className = "btn_release");
  tableToDisplay.style.display = "block";
  buttonToClicked.className = "btn_release_clicked";
}
</script>
</head>
<body>
<table id="table-switcher" class="switcher">
  <tr>
    <td class="invisible" width="85%">
      {%- for release in data %}
        {%- if ((release != "stable") and (release != "unstable")) %}
      <input type="button" name="button-release" id="button-{{ release }}" value="{{ release }}" class="btn_release">
        {%- endif %}
      {%- endfor %}
    </td>
    <td class="invisible" width="15%">
      {%- for release in data %}
        {%- if ((release == "stable") or (release == "unstable")) %}
      <input type="button" name="button-release" id="button-{{ release }}" value="{{ release }}" class="btn_release">
        {%- endif %}
      {%- endfor %}
    </td>
  </tr>
</table>
<pre class="tab1"><b>Generated:</b> {{ time }}</pre>
{%- for release in data %}
  {%- set comparisons = data[release] %}
  {%- for comparison in comparisons %}
    {%- set packages = comparisons[comparison]['data'] %}
    {%- set apts = comparisons[comparison]['apt'] %}
<div name="div-table" id="div-{{- release }}-{{- comparison | replace(":", "-") | replace(" ", "") }}" style="display: none;">
    {%- if apts|length == 1 %}
  <pre class="tab1">
<b>APT:</b> {{ apts[0] }}
  </pre>
    {%- endif %}
    {%- if apts|length > 1 %}
  <pre class="tab1">
<b>APT:</b> {{ apts[0] }}
      {%- for apt in apts %}
        {%- if loop.index > 1 %}
     {{ apts[loop.index - 1] }}
        {%- endif %}
      {%- endfor %}
  </pre>
    {%- endif %}
  <table id="table-{{- release }}-{{- comparison | replace(":", "-") | replace(" ", "") }}" class="display" data-page-length='{{ packages|length }}'>
    <thead>
      <tr>
        <th>#</th>
        <th>Package</th>
        <th>Upstream<br>version</th>
        <th>Debian<br>version</th>
        <th>Status</th>
      </tr>
    </thead>
    <tbody>
    {%- for package in packages %}
    {%- set package_data = comparisons[comparison]['data'][package] %}
    <tr>
      <td>{{ loop.index }}.</td>
      <td>{{ package }}</td>
      <td>{{ package_data['base_package_version'] }}</td>
      <td>{{ package_data['comparison_package_version'] }}</td>
      <td class="{{ package_data['status'] }} sorting_1">{{ package_data['status'] }}</td>
    </tr>
    {%- endfor %}
    </tbody>
  </table>
</div>
  {%- endfor %}
{%- endfor %}
</body>
